Bug 1442912 - Kernels > 4.10 enable extra debugging on b43
Summary: Kernels > 4.10 enable extra debugging on b43
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-18 03:16 UTC by Michael Cronenworth
Modified: 2017-06-24 03:06 UTC (History)
8 users (show)

Fixed In Version: kernel-4.11.6-101.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-23 19:50:59 UTC


Attachments (Terms of Use)

Description Michael Cronenworth 2017-04-18 03:16:04 UTC
Description of problem: Starting with kernel 4.10 the b43 driver is set to debug by default. This causes extra output to hit the kernel log and exposes extra debugging options that are not (and have not) been necessary.


Version-Release number of selected component (if applicable):
kernel-4.10.10-200.fc25.x86_64


Actual results:
Even when the interface is not used NetworkManager is constantly scanning for networks. The driver spits out debug messages:
[ 3597.411058] b43-phy1 debug: Switching to 5 GHz band
[ 3598.127117] b43-phy1 debug: Switching to 2.4 GHz band
[ 3661.125540] b43-phy1 debug: Switching to 5 GHz band
[ 3661.831595] b43-phy1 debug: Switching to 2.4 GHz band

The driver is also set to debug mode, which is not the default.
$ cat /sys/module/b43/parameters/verbose 
3
$ modinfo b43 | grep verbose
parm:           verbose:Log message verbosity: 0=error, 1=warn, 2=info(default), 3=debug (int)

Expected results:
No debug output.


Additional info:
03:00.0 Network controller: Broadcom Limited BCM43228 802.11a/b/g/n

The CONFIG_B43_DEBUG and CONFIG_B43LEGACY_DEBUG kernel config options started being set to 'y' with kernel 4.10. Please unset the DEBUG kernel options in Fedora 24, 25, and 26.

Comment 1 Michael Cronenworth 2017-06-15 15:39:02 UTC
Ping.

If no action is taken soon I'm going to do the commit myself.

Comment 2 Laura Abbott 2017-06-15 16:03:59 UTC
Dropped the change into git, it should show up in the next kernel build after 4.11.5

Comment 3 Fedora Update System 2017-06-19 23:06:25 UTC
kernel-4.11.6-300.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1225995344

Comment 4 Fedora Update System 2017-06-19 23:07:59 UTC
kernel-4.11.6-200.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b93e6de389

Comment 5 Fedora Update System 2017-06-19 23:10:16 UTC
kernel-4.11.6-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-79f099cbba

Comment 6 Fedora Update System 2017-06-21 04:28:12 UTC
kernel-4.11.6-200.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b93e6de389

Comment 7 Fedora Update System 2017-06-21 06:22:57 UTC
kernel-4.11.6-300.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1225995344

Comment 8 Fedora Update System 2017-06-21 14:00:50 UTC
kernel-4.11.6-301.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d3ed702fe4

Comment 9 Fedora Update System 2017-06-21 14:03:29 UTC
kernel-4.11.6-201.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7bc1b3056

Comment 10 Fedora Update System 2017-06-21 14:05:26 UTC
kernel-4.11.6-101.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-05f10e29f4

Comment 11 Fedora Update System 2017-06-23 03:25:02 UTC
kernel-4.11.6-101.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-05f10e29f4

Comment 12 Fedora Update System 2017-06-23 03:27:12 UTC
kernel-4.11.6-201.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7bc1b3056

Comment 13 Fedora Update System 2017-06-23 06:23:24 UTC
kernel-4.11.6-301.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d3ed702fe4

Comment 14 Fedora Update System 2017-06-23 19:50:59 UTC
kernel-4.11.6-101.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-06-23 20:52:25 UTC
kernel-4.11.6-201.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-06-24 03:06:13 UTC
kernel-4.11.6-301.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.